Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TDeclareVariableList

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TParseTreeNodeList
              gudusoft.gsqlparser.nodes.TDeclareVariableList

All Implemented Interfaces:
  Visitable

    public class TDeclareVariableList

extends TParseTreeNodeList

List of declare variable

Constructor Summary
`TDeclareVariableList()`

Method Summary
`void` | `addDeclareVariable(TDeclareVariable Item)`
`TDeclareVariable` | `getDeclareVariable(int position)`
`void` | `setTypeAndDefaultValueOfEachVariable(TTypeName ptype, TExpression pexpr)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNodeList
`addElement, addNode, doParse, elementAt, getElement, getEndToken, getStartToken, init, removeElement, removeElementAt, size, TParseTreeNodeList`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, getColumnNo, getDummyTag, getGsqlparser, getLineNo, getNodeType, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TDeclareVariableList

    public TDeclareVariableList()

Method Detail

### addDeclareVariable

    public void addDeclareVariable(TDeclareVariable Item)

### getDeclareVariable

    public TDeclareVariable getDeclareVariable(int position)

### setTypeAndDefaultValueOfEachVariable

    public void setTypeAndDefaultValueOfEachVariable(TTypeName ptype,
                                                     TExpression pexpr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD